# Pagerino: **Web server**

### Description

Dockerized server communicating with Pagerino applications to provide an interface.

### Features

Current working and in-progress capabilities include:
 - list all devices
 - add/modify/remove users, devices, roles and other objects
 - see user, device, role and other's properties
 - see live map view of devices

### Usage

The web app connects to other Pagerino applications after user authorization,
so all of the accessed apps have to be running and reachable.

First build the Tailwind css:
```make css```

Then to start the server with docker:
```docker compose up```

Alternatively you can just run it normally:
```make go && make run```

*Created by Olek \@ Gorak Industries* 
